<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Form Mahasiswa</title>
</head>

<body>
    <div class="container">
        <form id="mahasiswaForm">
            <label for="nama">Nama:</label>
            <input type="text" id="nama" name="nama" required>

            <label for="email">Email:</label>
            <input type="email" id="email" name="email" required>

            <label for="nohp">No HP:</label>
            <input type="tel" id="nohp" name="nohp" pattern="[0-9]{10,12}" required>

            <label for="alamat">Alamat:</label>
            <textarea id="alamat" name="alamat" rows="4" required></textarea>

            <label>Hobi:</label>
            <div class="hobi-container">
                <input type="checkbox" id="hobi1" name="hobi[]" value="membaca">
                <label for="hobi1">Membaca</label>

                <input type="checkbox" id="hobi2" name="hobi[]" value="menulis">
                <label for="hobi2">Menulis</label>

                <input type="checkbox" id="hobi3" name="hobi[]" value="berenang">
                <label for="hobi3">Berenang</label>
            </div>

            <label for="prodi">Program Studi:</label>
            <select id="prodi" name="prodi" required>
                <option value="" disabled selected>Pilih Prodi</option>
                <option value="TI">Teknik Informatika</option>
                <option value="SI">Sistem Informasi</option>
                <option value="MI">Manajemen Informatika</option>
            </select>

            <label>Jenis Kelamin:</label>
            <div class="jeniskelamin-container">
                <input type="radio" id="laki" name="jeniskelamin" value="Laki-laki" required>
                <label for="laki">Laki-laki</label>

                <input type="radio" id="perempuan" name="jeniskelamin" value="Perempuan" required>
                <label for="perempuan">Perempuan</label>
            </div>

            <button type="submit">Submit</button>
        </form>
    </div>
</body>

</html>